=== debian/changelog ===
hackrf (2024.02.1-4) unstable; urgency=medium

  * update to v2024.02.1-115-gd56d6527 for CMake updates (Closes: #1112983)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 15 Oct 2025 22:26:36 -0400

hackrf (2024.02.1-3) unstable; urgency=medium

  * Relicense com.greatscottgadgets.hackrf.metainfo.xml (Closes: #1078193)
  * Update Standards-Versio (no changes)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 20 Jan 2025 22:19:39 -0500

hackrf (2024.02.1-2) unstable; urgency=medium

  * Source-only upload for transitions.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 06 Apr 2024 19:57:25 -0400

hackrf (2024.02.1-1) unstable; urgency=medium

  * New upstream release.
    - requires update of firmware on the HackRF.
  * re-enable hackrf-firmware package generation
  * Major changes in this release include:
    - A new utility, hackrf_biast, provides a way to control the "bias
    tee" antenna port power output on HackRF One. Thank you, Jonathan
    Suite (AI6AJ)!
    - Completely new and comprehensive libhackrf API documentation
    generated from source is now available in the release package. Thank
    you, László Baráth!
    - hackrf_sweep now supports more FFTW features including the ability
    to use a wisdom file. Thank you, Jonathan Suite (AI6AJ)!
    - HackRF One r10, the latest hardware revision, is based on r8,
    reverting most of the changes made in r9.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 09 Mar 2024 11:40:31 -0500
