=== debian/watch ===
version=4
 opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/greatscottgadgets//hackrf/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
opts="component=firmware-libopencm3, mode=git, pgpmode=none" \
 https://github.com/mossmann/libopencm3.git HEAD ignore
